import { bt as _sfc_main$1 } from "../ssr.js";
import { Head } from "@inertiajs/vue3";
import { unref, useSSRContext } from "vue";
import { ssrRenderComponent } from "vue/server-renderer";
//#region resources/js/Pages/PrivacyPolicy.vue
var _sfc_main = {
	__name: "PrivacyPolicy",
	__ssrInlineRender: true,
	props: { policy: String },
	setup(__props) {
		return (_ctx, _push, _parent, _attrs) => {
			_push(`<!--[-->`);
			_push(ssrRenderComponent(unref(Head), { title: "Privacy Policy" }, null, _parent));
			_push(`<div class="font-sans text-gray-900 antialiased dark:text-gray-100"><div class="bg-gray-100 pt-4 dark:bg-gray-900"><div class="flex min-h-screen flex-col items-center pt-6 sm:pt-0"><div>`);
			_push(ssrRenderComponent(_sfc_main$1, null, null, _parent));
			_push(`</div><div class="prose mt-6 w-full overflow-hidden bg-white p-6 shadow-md sm:max-w-2xl sm:rounded-lg dark:bg-gray-800 dark:prose-invert">${__props.policy ?? ""}</div></div></div></div><!--]-->`);
		};
	}
};
var _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/PrivacyPolicy.vue");
	return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
//#endregion
export { _sfc_main as default };
